# requestInterrupt

Field in [DialogueViewBase](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

Represents the method that should be called when this view wants the line to be interrupted.

```csharp
public Action requestInterrupt;
```

## Remarks

{% hint style="info" %}
This value is set by the [DialogueRunner](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) class during initial setup. Do not modify this value yourself.
{% endhint %}

When this method is called, the Dialogue Runner that has this Dialogue View in its [dialogueViews](/2.3/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.dialogueviews.md) list will call [InterruptLine(LocalizedLine,Action)](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.interruptline.md) on any view that has not yet finished presenting its line.

A Dialogue View can call this method to signal to the Dialogue Runner that the current line should be interrupted. This is usually done when it receives some input that the user wants to skip to the next line of dialogue.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.requestinterrupt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
